关闭

使用Maven创建项目出现Java compiler level does not match the version of the installed Java project facet解决

标签: maven
330人阅读 评论(0) 收藏 举报
分类:

steps1:
查看开发工具编译java版本:
这里写图片描述
图片中可以看到java版本是1.8
step2:
在项目文件夹中:
打开项目->打开.settings—>编辑org.eclipse.wst.common.project.facet.core.xml
修改java版本:
一般在第三行

<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
  <fixed facet="wst.jsdt.web"/>
  <installed facet="java" version="1.8"/>
  <installed facet="jst.web" version="2.3"/>
  <installed facet="wst.jsdt.web" version="1.0"/>
</faceted-project>

此处java版本是1.8

0
0
查看评论

解决IDEA自动重置LanguageLevel和JavaCompiler版本的问题

使用IDEA时,导入的Maven项目默认的LanguageLevel和JavaCompiler都是1.5,1.5的情况下连最简单的@Override注解都不支持,所以项目可能出现一堆错。虽然在项目上F4可以修改LanguageLevel,在settings中可以修改JavaCompiler版本,但是...
  • isea533
  • isea533
  • 2015-09-19 16:18
  • 23220

Maven构建项目后项目报Error错误Java compiler level does not match the version of the installed Java project fac

项目->右键->Project Facets->修改facets中java版本(下拉箭头出)为要用的版本 Maven构建项目需注意 1.项目右键->Preferences->buildpath->jdk 2.项目右键->Preferences->jav...
  • Truong
  • Truong
  • 2013-12-08 17:21
  • 3211

修改maven3项目的默认的编译级别(compile level)

听闻maven的鼎鼎大名打算在最近的一个项目中试下爽,结果遇到了这个问题,虽对项目影响不大,但做技术刨根问题是必须的了,少废话。 1.cmd命令建立web项目:mvn archetype:generate -DgroupId=biz.yunduo -DartifactId=dts -Dpack...
  • yzw19932010
  • yzw19932010
  • 2014-01-26 16:31
  • 1526

解决java compiler level does not match the version of the installed java project facet

java compiler level does not match the version of the installed java project facet错误的解决因工作的关系,Eclipse开发的Java项目拷来拷去,有时候会报一个很奇怪的错误。明明源码一模一样,为什么项目复制到另一台机...
  • chszs
  • chszs
  • 2012-10-29 20:21
  • 139067

GOOD解决MyEclipse工具中java compiler level does not match the version of the installed java project facet

Java compiler level does not match the version of the installed java project facet错误的解决 因工作的关系,Eclipse开发的Java项目拷来拷去,有时候会报一个很奇怪的错误。明明源码一模一样,为什么项目复制到另...
  • Baple
  • Baple
  • 2016-06-07 10:35
  • 1108

Eclipse下Java compiler level does not match the version of the installed Java project facet的问题

问题现象:项目图标报错“Java compiler level does not match the version of the installed Java project facet.”。分析原因:根据错误信息的字面意思,应该是Java版本设定不一致的问题。而且这个Java版本跟Project...
  • cyq1984
  • cyq1984
  • 2011-11-10 11:24
  • 22888

Java compiler level does not match the version of the installed Java project facet 的解决方案

今天将MyEclipse升级到 9.1 后,打开原来的工作空间,原来所有的项目都前面都显示了一个小叉叉,代码中却没有任何错误。于从 problems 视图中查看错误信息,错误信息的“Description”显示: Java compiler level does not mat
  • hemingwang0902
  • hemingwang0902
  • 2011-10-14 13:36
  • 14170

完美解决java compiler level does not match the version of the installed java project facet问题

当Java项目更换电脑时会出现工程打岔的问题,但是项目中没有明显的语法错误,此时我们可以观察到输出工作区Problems选项中存在java compiler level does not match the version of the installed java project facet的问题...
  • danxiaodeshitou
  • danxiaodeshitou
  • 2016-04-29 12:37
  • 143

myeclipse工程有红叉,里面文件没错,提示Java compiler level does not match the version of the installed Java project

myeclipse工程有红叉,里面文件没错,提示:Java compiler level does not match the version of the installed Java project       解决: 右键项目“Properties”,在弹出的“P...
  • washli2001
  • washli2001
  • 2014-03-11 15:19
  • 902

Description Resource Path Location Type Java compiler level does not match the version of the ins

错误:Description Resource Path Location Type Java compiler level does not match the version of the installed Java project facet. mri Unknow...
  • xuxuzwl
  • xuxuzwl
  • 2017-07-11 17:10
  • 205
    个人资料
    • 访问:3946次
    • 积分:319
    • 等级:
    • 排名:千里之外
    • 原创:29篇
    • 转载:0篇
    • 译文:0篇
    • 评论:0条